
from django.conf.urls.defaults import *

from common.util import url 

SEMANTIC_PATTERNS = patterns('semantics.views',
    url(r'^ajax/semantics/$', 'ajax_semantics'),          
    url(r'^ajax/units/$', 'ajax_units'),
    url(r'^ajax/synsets/$', 'ajax_synsets'),
    url(r'^ajax/relations/$', 'ajax_relations'),
    url(r'^ajax/predefined_preferences/$', 'ajax_predefined_preferences'),
    url(r'^ajax/roles/$', 'ajax_roles'),
    url(r'^ajax/opinions/$', 'ajax_opinions'),
    url(r'^ajax/schemas/$', 'ajax_schemas'),
    url(r'^ajax/frames/$', 'ajax_frames'),
    url(r'^ajax/create_frame/$', 'ajax_create_frame'),
    url(r'^ajax/create_complement/$', 'ajax_create_complement'),
    url(r'^ajax/examples/$', 'ajax_examples'),
    url(r'^ajax/update_meanings/$', 'ajax_update_meanings'),
    url(r'^ajax/modify_frames/$', 'ajax_modify_frames'),
    url(r'^ajax/plWN_context_lookup/$', 'ajax_plWN_context_lookup'),
    url(r'^ajax/synset_context_lookup/$', 'synset_context_lookup'),
    url(r'^ajax/validate_semantics/$', 'validate_semantics'),
    url(r'^ajax/sem_arg_form/$', 'sem_arg_form'),
    url(r'^ajax/general_preference_form/$', 'general_preference_form'),
    url(r'^ajax/synset_preference_form/$', 'synset_preference_form'),
    url(r'^ajax/relational_preference_form/$', 'relational_preference_form'),
    url(r'^ajax/get_mwe_list/$', 'ajax_get_mwes'),
    url(r'^ajax/connected/$', 'ajax_connected'),
)
